#include<bits/stdc++.h>
#define MAXN (int)2e5+20
using namespace std;
int n, res=0;
int vrste[MAXN];
int kolone[MAXN];
void radi(int* niz)
{
    for(int i=1;i<=n;i++)
    {
        if(niz[i]==0)
        {
            int j = i+1;
            while(niz[j]==0)j++;
            niz[i]++;
            niz[j]--;
            res++;
        }
        else
        {
            int j = i+1;
            while(niz[i]>1)
            {
                while(niz[j]!=0)j++;
                niz[i]--;
                niz[j]++;
                res++;
            }
        }
    }
}
int main()
{
    cin >> n;
    for(int i=0;i<n;i++)
    {
        int a, b; cin >> a >> b;
        vrste[a]++;
        kolone[b]++;
    }
    radi(vrste);
    radi(kolone);
    cout << res;
    return 0;
}